# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		audaspace
Version:	1.3.0
Release:	%mkrel 3
Summary:	A feature rich high level audio library
License:	Apache License
Group:		Sound
URL:		http://audaspace.github.io/
Source0:	https://github.com/audaspace/%{name}/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.xz
Patch0:		audaspace-gcc7.patch
Patch1:		audaspace-ffmpeg-4.0.patch
BuildRequires:  python3-numpy-devel
BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	python3-setuptools

%description
Audaspace (pronounced "outer space") is a high level audio library written
in C++ with language bindings for Python for example.
It started out as the audio engine of the 3D modelling application Blender
and is now released as a standalone library.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Audaspace (pronounced "outer space") is a high level audio library written
in C++ with language bindings for Python for example.
It started out as the audio engine of the 3D modelling application Blender
and is now released as a standalone library.
This package contains library files for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains header files for development with %{name}.

#------------------------------------------------

%package -n	python3-%{name}
Summary:	Python3 bindings package for %{name}
Group:		Development/Python
Requires:	python3-numpy

%description -n	python3-%{name}
This package contains Python3 bindings for %{name}.

#------------------------------------------------

%package -n	python3-%{name}-devel
Summary:	Python3 development package for %{name}
Group:		Development/Python
Requires:	python3-%{name} = %{version}-%{release}

%description -n	python3-%{name}-devel
This package contains Python3 header files for development with %{name}.

#------------------------------------------------
%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%apply_patches

%build
%cmake \
	-DWITH_STRICT_DEPENDENCIES:BOOL=TRUE \
	-DUSE_SDL2:BOOL=TRUE \
	-DWITH_DOCS:BOOL=FALSE \
	-DWITH_BINDING_DOCS:BOOL=FALSE \
	-DDEFAULT_PLUGIN_PATH:PATH=%{_libdir}/%{name}/plugins
%make_build

%install
%make_install -C build

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/*

%files -n %{libname}
%doc AUTHORS LICENSE README.md
%{_libdir}/lib%{name}*.so.%{major}*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libaud*.so.%{major}*

%files -n %{develname}
%doc AUTHORS LICENSE README.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}*.so
%{_libdir}/%{name}/plugins/libaud*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%{name}
%doc AUTHORS LICENSE README.md
%{python3_sitearch}/aud.cpython-*.so
%{python3_sitearch}/%{name}-%{version}%{?prel}-py%{python3_version}.egg-info

%files -n python3-%{name}-devel
%doc AUTHORS LICENSE README.md
%{_includedir}/python*/%{name}/


%changelog
* Wed Aug 10 2022 TerryN <terryn94 at gmail.com> 1.3.0-3pclos2022
- rebuild for python 3.10

* Sat Jan 25 2020 tex - 1.3.0-2pclos2020
- add mga mpeg4 patch

* Tue Oct 24 2017 bb2 <bb2> - 1.3.0-1pclos2017
- import for blender
